[Overview][Types][Classes][Index] | Reference for unit 'iostream' (#fcl)

# TIOSType

Type of stream to create

## Declaration

Source position: iostream.pp line 22

`type TIOSType = (`
`iosInput,` |  | The stream can be used to read from standard input
`iosOutPut,` |  | The stream can be used to write to standard output
`iosError` |  | The stream can be used to write to standard diagnostic output
`);`

## Description

TIOSType is passed to the Create constructor of TIOStream, it determines what kind of stream is created.

## See also

TIOStream |  | Stream which handles standard input/output and stderr.